Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class HighlighterFactory.UIColorHighlighter

    java.lang.Object
      org.jdesktop.swingx.decorator.AbstractHighlighter
          org.jdesktop.swingx.decorator.ColorHighlighter
              org.jdesktop.swingx.decorator.HighlighterFactory.UIColorHighlighter

All Implemented Interfaces:
  Highlighter, UIDependent

Enclosing class:
  HighlighterFactory

    public static class HighlighterFactory.UIColorHighlighter

extends ColorHighlighter
implements UIDependent

A ColorHighlighter with UI-dependent background. PENDING JW: internally install a AND predicate to check for LFs which provide striping on the UI-Delegate level?

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`listenerList`

Constructor Summary
`HighlighterFactory.UIColorHighlighter()` Instantiates a ColorHighlighter with LF provided unselected background and default predicate.
`HighlighterFactory.UIColorHighlighter(HighlightPredicate odd)` Instantiates a ColorHighlighter with LF provided unselected background and the given predicate.

Method Summary
`void` | `updateUI()` Updates all internal visuals after changing a UI-delegate.

Methods inherited from class org.jdesktop.swingx.decorator.ColorHighlighter
`applyBackground, applyForeground, doHighlight, getBackground, getForeground, getSelectedBackground, getSelectedForeground, isLegacy, setBackground, setForeground, setLegacy, setSelectedBackground, setSelectedForeground`

Methods inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`addChangeListener, areEqual, canHighlight, fireStateChanged, getChangeListeners, getHighlightPredicate, highlight, removeChangeListener, setHighlightPredicate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighlighterFactory.UIColorHighlighter

    public HighlighterFactory.UIColorHighlighter()

  Instantiates a ColorHighlighter with LF provided unselected background and default predicate. All other colors are null.

### HighlighterFactory.UIColorHighlighter

    public HighlighterFactory.UIColorHighlighter(HighlightPredicate odd)

  Instantiates a ColorHighlighter with LF provided unselected background and the given predicate. All other colors are null.

  Parameters:
    `odd` - the predicate to use

Method Detail

### updateUI

    public void updateUI()

  Description copied from interface: `UIDependent`
  Updates all internal visuals after changing a UI-delegate.

  Specified by:
    `updateUI` in interface `UIDependent`
  See Also:
    `JComponent.updateUI()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.